LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Fedora (http://www.linuxquestions.org/questions/fedora-35/)
-   -   Error in installing gcc (http://www.linuxquestions.org/questions/fedora-35/error-in-installing-gcc-439210/)

Hitboxx 04-26-2006 11:43 PM

Error in installing gcc
 
Guys,

I need gcc-g++ libs to compile most packages and clearly i dont have them. So i tried to install it from the development repo but i get this error everytime.

Code:

Process 12137 (yum) has been started.
Please be patient, this may be a lengthy operation...

(Command being executed: yum -y install cpp gcc gcc-c++ gcc-objc gcc-objc++ gdb gdbm-devel).

Loading "fastestmirror" plugin
Loading "changelog" plugin
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package gcc-objc.i386 0:4.1.0-11 set to be updated
---> Package gdb.i386 0:6.3.0.0-1.128.FC6 set to be updated
---> Package gcc-objc++.i386 0:4.1.0-11 set to be updated
---> Package cpp.i386 0:4.1.0-11 set to be updated
---> Package gcc-c++.i386 0:4.1.0-11 set to be updated
---> Package gcc.i386 0:4.1.0-11 set to be updated
---> Package gdbm-devel.i386 0:1.8.0-26.2 set to be updated
--> Running transaction check
--> Processing Dependency: libstdc++-devel = 4.1.0-11 for package: gcc-c++
--> Processing Dependency: libgomp = 4.1.0-11 for package: gcc
--> Processing Dependency: libgcc >= 4.1.0-11 for package: gcc
--> Processing Dependency: libobjc = 4.1.0-11 for package: gcc-objc
--> Processing Dependency: libstdc++ = 4.1.0-11 for package: gcc-c++
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libstdc++-devel.i386 0:4.1.0-11 set to be updated
---> Package libstdc++.i386 0:4.1.0-11 set to be updated
---> Package libgomp.i386 0:4.1.0-11 set to be updated
---> Downloading header for libgcc to pack into transaction set.
---> Package libgcc.i386 0:4.1.0-11 set to be updated
---> Downloading header for libobjc to pack into transaction set.
---> Package libobjc.i386 0:4.1.0-11 set to be updated
--> Running transaction check
Dependencies Resolved
=============================================================================
 Package                Arch      Version          Repository        Size
=============================================================================
Installing:
 gcc-c++                i386      4.1.0-11        development      3.1 M
 gcc-objc                i386      4.1.0-11        development      2.3 M
 gcc-objc++              i386      4.1.0-11        development      2.5 M
 gdbm-devel              i386      1.8.0-26.2      development        36 k
Updating:
 cpp                    i386      4.1.0-11        development      2.4 M
 gcc                    i386      4.1.0-11        development      4.5 M
 gdb                    i386      6.3.0.0-1.128.FC6  development      2.8 M
Installing for dependencies:
 libobjc                i386      4.1.0-11        development        65 k
 libstdc++-devel        i386      4.1.0-11        development      9.5 M
Updating for dependencies:
 libgcc                  i386      4.1.0-11        development        56 k
 libgomp                i386      4.1.0-11        development        43 k
 libstdc++              i386      4.1.0-11        development      320 k
Transaction Summary
=============================================================================
*** http://download.fedoraproject.org/pub/fedora/linux/core/development/i386/Fedora/RPMS/gcc-objc%2B%2B-4.1.0-11.i386.rpm: [Errno 14] HTTP Error 404: Date: Thu, 27 Apr 2006 03:24:00 GMT

*** Server: Apache/2.0.46 (Red Hat)

*** Content-Length: 385

*** Connection: close

*** Content-Type: text/html; charset=iso-8859-1

*** Trying other mirror.
*** http://download.fedoraproject.org/pub/fedora/linux/core/development/i386/Fedora/RPMS/libgomp-4.1.0-11.i386.rpm: [Errno 14] HTTP Error 404: Date: Thu, 27 Apr 2006 03:24:02 GMT

*** Server: Apache/2.0.46 (Red Hat)

*** Content-Length: 382

*** Connection: close

*** Content-Type: text/html; charset=iso-8859-1

*** Trying other mirror.
*** http://download.fedoraproject.org/pub/fedora/linux/core/development/i386/Fedora/RPMS/gcc-c%2B%2B-4.1.0-11.i386.rpm: [Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>
*** Trying other mirror.
*** http://download.fedoraproject.org/pub/fedora/linux/core/development/i386/Fedora/RPMS/libobjc-4.1.0-11.i386.rpm: [Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>
*** Trying other mirror.

I use Kyum to install/remove packages.

IS it a problem with my internet or my system??

Thanks

dubya 04-27-2006 10:33 AM

This might not be much help, but are you sure you need to be using the development repo? From my understanding a development repo contains packages that are themselves in development. Check that this is not the case with the repo your using.


All times are GMT -5. The time now is 02:44 AM.